<template>
  <BaseBoard :pretitle="pretitle">
    <template #title-board>
      <h3
        class="page-title"
        :data-hint="`You can explore your ${title}`"
        data-hintposition="top-left"
      >
        {{ title | capitalize }}
      </h3>
    </template>
    <slot slot="header-right" name="header-right"></slot>
    <template #content>
      <b-col md="3" class="pr-3">
        <slot name="panel-left"></slot>
      </b-col>
      <b-col sm="12" md="9">
        <slot name="main-content"></slot>
      </b-col>
    </template>
  </BaseBoard>
</template>

<script>
export default {
  props: {
    pretitle: {
      type: String,
      default: '',
    },
    title: {
      type: String,
      default: '',
    },
  },
};
</script>
